Name:           lcms
Version:        1.16
Release:        1
Summary:        Color Management System

Group:          Applications/Productivity
License:        MIT
URL:            http://www.littlecms.com/
Source:         http://www.littlecms.com/lcms-1.16.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  libjpeg-devel
BuildRequires:  libtiff-devel
BuildRequires:  zlib-devel

Provides:       littlecms = %{version}-%{release}

%description
LittleCMS intends to be a small-footprint, speed optimized color management
engine in open source form.


%package        devel
Summary:        Development files for LittleCMS
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Provides:       littlecms-devel = %{version}-%{release}

%description    devel
Development files for LittleCMS.


%prep
%setup -q


%build
export CC=xlc
export CFLAGS="-O2"
./configure --prefix=%{_prefix} --enable-static --enable-shared --without-python --mandir=%{_prefix}/man
make


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README.1ST TUTORIAL.TXT
%{_bindir}/*
%{_libdir}/*.a
%{_mandir}/man1/*

%files devel
%defattr(-,root,root,-)
%doc doc/LCMSAPI.TXT
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Jul 27 2007 Michael Perzl <mperzl at de dot ibm dot com>
- first version for AIX V5.1 and higher

* Sun May 22 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.14-3
- Fix FC4 build (#114146).

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Thu May 20 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.14-1
- Update to 1.14.

* Thu May 20 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.13-0.fdr.1
- Updated to 1.13.

* Mon Feb 16 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.12-0.fdr.2
- Spec patch from Ville Skyttä.
- New sub-package: python-lcms.

* Sun Dec 21 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.12-0.fdr.1
- Updated to 1.12.
- BuildReq swig >=1.3.12.

* Sun Nov 09 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.11-0.fdr.3
- Fixed doc attributes.

* Sat Oct 11 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.11-0.fdr.2
- Renamed to lcms to match upstream.
- Provides: littlecms.
- Fixed doc attributes.
- Excluding empty dir %%{_libdir}/python2.2/

* Thu Oct 09 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.11-0.fdr.1
- Initial RPM release.
